cURL
curl -X POST 'https://api.nuntly.com/messages/imsg_01kabn43yqyxn2bx4ve84mczd3/reply' \
-H 'Authorization: Bearer ntly_xxx' \
-H 'Content-Type: application/json' \
-d '{"text":"Thank you for signing up! Please verify your email address.","html":"<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>","replyAll":false}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.messages.reply('imsg_01kabn43yqyxn2bx4ve84mczd3', {
text: 'Thank you for signing up! Please verify your email address.',
html: '<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>',
replyAll: false,
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.messages().reply("imsg_01kabn43yqyxn2bx4ve84mczd3", ReplyMessageRequest.builder()
.text("Thank you for signing up! Please verify your email address.")
.html("<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>")
.replyAll(false)
.build());import requests
url = "https://api.nuntly.com/messages/{messageId}/reply"
payload = {
"replyAll": True,
"text": "Thank you for signing up! Please verify your email address.",
"html": "<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuntly.com/messages/{messageId}/reply",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'replyAll' => true,
'text' => 'Thank you for signing up! Please verify your email address.',
'html' => '<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nuntly.com/messages/{messageId}/reply"
payload := strings.NewReader("{\n \"replyAll\": true,\n \"text\": \"Thank you for signing up! Please verify your email address.\",\n \"html\": \"<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.nuntly.com/messages/{messageId}/reply")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"replyAll\": true,\n \"text\": \"Thank you for signing up! Please verify your email address.\",\n \"html\": \"<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "imsg_01kabn43yqyxn2bx4ve84mczd3",
"threadId": "<string>",
"messageId": "msg_01ka8k8s80gvx9604cn9am5st4",
"subject": "Verify your email address"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Messages
Reply To Message
Replies from the inbox that holds the message, in the same thread. Set replyAll to true to also copy the other recipients. The send is queued.
POST
/
messages
/
{messageId}
/
reply
cURL
curl -X POST 'https://api.nuntly.com/messages/imsg_01kabn43yqyxn2bx4ve84mczd3/reply' \
-H 'Authorization: Bearer ntly_xxx' \
-H 'Content-Type: application/json' \
-d '{"text":"Thank you for signing up! Please verify your email address.","html":"<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>","replyAll":false}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.messages.reply('imsg_01kabn43yqyxn2bx4ve84mczd3', {
text: 'Thank you for signing up! Please verify your email address.',
html: '<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>',
replyAll: false,
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.messages().reply("imsg_01kabn43yqyxn2bx4ve84mczd3", ReplyMessageRequest.builder()
.text("Thank you for signing up! Please verify your email address.")
.html("<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>")
.replyAll(false)
.build());import requests
url = "https://api.nuntly.com/messages/{messageId}/reply"
payload = {
"replyAll": True,
"text": "Thank you for signing up! Please verify your email address.",
"html": "<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuntly.com/messages/{messageId}/reply",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'replyAll' => true,
'text' => 'Thank you for signing up! Please verify your email address.',
'html' => '<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nuntly.com/messages/{messageId}/reply"
payload := strings.NewReader("{\n \"replyAll\": true,\n \"text\": \"Thank you for signing up! Please verify your email address.\",\n \"html\": \"<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.nuntly.com/messages/{messageId}/reply")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"replyAll\": true,\n \"text\": \"Thank you for signing up! Please verify your email address.\",\n \"html\": \"<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "imsg_01kabn43yqyxn2bx4ve84mczd3",
"threadId": "<string>",
"messageId": "msg_01ka8k8s80gvx9604cn9am5st4",
"subject": "Verify your email address"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Authorizations
Use an API key from https://nuntly.com/api-keys. Required on every endpoint.
Headers
Unique key to ensure the request is processed at most once. UUIDv4 recommended.
Required string length:
1 - 255Path Parameters
The RFC 5322 Message-ID header.
Body
application/json
Response
Request accepted.
Show child attributes
Show child attributes
